Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.i18n.client
Interface ConstantsWithLookup

All Superinterfaces:
  Constants, Localizable

    public interface ConstantsWithLookup

extends Constants

Like `Constants`, a tag interface that facilitates locale-sensitive, compile-time binding of constant values supplied from properties files with the added ability to look up constants at runtime with a string key.

`ConstantsWithLookup` extends `Constants` and is identical in behavior, adding only a family of special-purpose lookup methods such as `getString(String)`.

It is generally preferable to extend `Constants` rather than `ConstantsWithLookup` because `ConstantsWithLookup` forces all constants to be retained in the compiled script, preventing the GWT compiler from pruning unused constant accessors.

### Required Module

Modules that use this interface should inherit `com.google.gwt.i18n.I18N`.

>     <!--                                                                        -->
>     <!-- Copyright 2007 Google Inc.                                             -->
>     <!-- Licensed under the Apache License, Version 2.0 (the "License"); you    -->
>     <!-- may not use this file except in compliance with the License. You may   -->
>     <!-- may obtain a copy of the License at                                    -->
>     <!--                                                                        -->
>     <!-- http://www.apache.org/licenses/LICENSE-2.0                             -->
>     <!--                                                                        -->
>     <!-- Unless required by applicable law or agreed to in writing, software    -->
>     <!-- distributed under the License is distributed on an "AS IS" BASIS,      -->
>     <!-- WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or        -->
>     <!-- implied. License for the specific language governing permissions and   -->
>     <!-- limitations under the License.                                         -->

>     <module>
>       <!-- other inherited modules, such as com.google.gwt.user.User -->
>       <inherits name="com.google.gwt.i18n.I18N"/>
>       <!-- additional module settings -->
>     </module>

### Note

You should not directly implement this interface or interfaces derived from it since an implementation is generated automatically when message interfaces are created using `GWT.create(Class)`.

See Also:
  `Constants`

Method Summary
`boolean` | `getBoolean(java.lang.String methodName)` Look up `boolean` by method name.
`double` | `getDouble(java.lang.String methodName)` Look up `double` by method name.
`float` | `getFloat(java.lang.String methodName)` Look up `float` by method name.
`int` | `getInt(java.lang.String methodName)` Look up `int` by method name.
`java.util.Map` | `getMap(java.lang.String methodName)` Look up `Map` by method name.
`java.lang.String` | `getString(java.lang.String methodName)` Look up `String` by method name.
`java.lang.String[]` | `getStringArray(java.lang.String methodName)` Look up `String[]` by method name.

Method Detail

### getBoolean

    boolean getBoolean(java.lang.String methodName)

  Look up `boolean` by method name.

  Parameters:
    `methodName` - method name
  Returns:
    boolean returned by method

### getDouble

    double getDouble(java.lang.String methodName)

  Look up `double` by method name.

  Parameters:
    `methodName` - method name
  Returns:
    double returned by method

### getFloat

    float getFloat(java.lang.String methodName)

  Look up `float` by method name.

  Parameters:
    `methodName` - method name
  Returns:
    float returned by method

### getInt

    int getInt(java.lang.String methodName)

  Look up `int` by method name.

  Parameters:
    `methodName` - method name
  Returns:
    int returned by method

### getMap

    java.util.Map getMap(java.lang.String methodName)

  Look up `Map` by method name.

  Parameters:
    `methodName` - method name
  Returns:
    Map returned by method

### getString

    java.lang.String getString(java.lang.String methodName)

  Look up `String` by method name.

  Parameters:
    `methodName` - method name
  Returns:
    String returned by method

### getStringArray

    java.lang.String[] getStringArray(java.lang.String methodName)

  Look up `String[]` by method name.

  Parameters:
    `methodName` - method name
  Returns:
    String[] returned by method

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD